Q-XDG is intended to be buildable with Qt version 4.3 or newer.
It requires CMake version 2.6 or newer.

It is recommended that you build in an out-of-source directory.
To build the library, execute from the source tree:

    mkdir build
    cd build
    cmake ..
    make

To install the library and headers, execute:

    make install

By default, the files are installed to /usr/local. To change the prefix, pass
the argument -DCMAKE_INSTALL_PREFIX=/usr (or another directory) to the CMake
call above. To install under a different root after building (for packaging, or
to test installation without requiring root privileges), install with the
DESTDIR make variable. For example, when calling from debian/rules:

    make install DESTDIR=$(CURDIR)/debian/tmp

If you have Doxygen installed, API documentation will be built and installed
alongside the library. To disable this behavior, pass the argument
-DWITH_DOXYGEN=OFF when invoking cmake.
